IwebNegar 'comments.php'跨站脚本攻击(XSS)漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1193661 漏洞类型 跨站脚本
发布时间 2006-08-31 更新时间 2006-08-31
CVE编号 CVE-2006-4496 CNNVD-ID CNNVD-200608-520
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
https://www.securityfocus.com/bid/83685
https://cxsecurity.com/issue/WLB-2006090004
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-520
|漏洞详情
IwebNegar1.1的comments.php脚本存在跨站脚本攻击(XSS)漏洞,远程攻击者可借助comment参数注入任意Web脚本或HTML。
|漏洞EXP
::  IwebNegar v1.1 Multiple vulnerabilities  ::

------------------------------------------------

Software     : IwebNegar v1.1

Website      : ----

Bug Discover : Hessam-x / www.hessamx.net

I. Cross Site Scripting Vulnerability

-------------------------------------------------

Parameter "comment" are not properly sanitized in "comments.php".

This can be used to post arbitrary HTML or web script code.

attacked by comments.php with field comment

& ...

II. SQL Injection Vulnerability

-------------------------------------------------

Parameter "id" is not properly sanitized before being used in SQL query.

vulnerable Page is : "comments.php".

This can be used make any SQL query by injecting arbitrary SQL code.

Attacker can be execute this url :

comments.php?id=[SQL Query]
|受影响的产品
iWebNegar iWebNegar 1.1
|参考资料

来源:BUGTRAQ
名称:20060830IwebNegarv1.1Multiplevulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/444744/100/0/threaded
来源:XF
名称:iwebnegar-comments-xss(28663)
链接:http://xforce.iss.net/xforce/xfdb/28663
来源:SREASON
名称:1476
链接:http://securityreason.com/securityalert/1476